> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count alerts matching filter



## OpenAPI

````yaml /openapi/alerts.json post /alerts/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /alerts/count:
    post:
      tags:
        - Alerts
      summary: Count alerts matching filter
      operationId: alerts.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    search:
                      type: string
                      minLength: 1
                      maxLength: 200
                      description: Search
                    status:
                      anyOf:
                        - enum:
                            - new
                            - in_review
                            - report_draft
                            - report_validating
                            - report_valid
                            - report_invalid
                            - filed
                            - resolved
                            - dismissed
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - new
                                - in_review
                                - report_draft
                                - report_validating
                                - report_valid
                                - report_invalid
                                - filed
                                - resolved
                                - dismissed
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - new
                                  - in_review
                                  - report_draft
                                  - report_validating
                                  - report_valid
                                  - report_invalid
                                  - filed
                                  - resolved
                                  - dismissed
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - new
                                  - in_review
                                  - report_draft
                                  - report_validating
                                  - report_valid
                                  - report_invalid
                                  - filed
                                  - resolved
                                  - dismissed
                                type: string
                      description: Status
                    name:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Name
                    description:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Description
                    externalId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: External ID
                    scope:
                      anyOf:
                        - enum:
                            - base
                            - MX:AV
                            - MX:AV:ARI
                            - MX:AV:AVI
                            - MX:AV:INM
                            - MX:AV:JYS
                            - MX:AV:MJR
                            - MX:AV:MPC
                            - MX:AV:TSC
                            - MX:AV:VEH
                            - MX:CNBV
                            - MX:CNBV:TRANSMISOR
                            - MX
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - base
                                - MX:AV
                                - MX:AV:ARI
                                - MX:AV:AVI
                                - MX:AV:INM
                                - MX:AV:JYS
                                - MX:AV:MJR
                                - MX:AV:MPC
                                - MX:AV:TSC
                                - MX:AV:VEH
                                - MX:CNBV
                                - MX:CNBV:TRANSMISOR
                                - MX
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                      description: Scope
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    tagIds:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            contains:
                              type: string
                              format: uuid
                            notContains:
                              type: string
                              format: uuid
                            containsAny:
                              type: array
                              items:
                                type: string
                                format: uuid
                            containsAll:
                              type: array
                              items:
                                type: string
                                format: uuid
                            empty:
                              type: boolean
                            notEmpty:
                              type: boolean
                      description: Tags
                    metadataFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                      description: Metadata Filters
                    scopeData:
                      type: object
                      properties:
                        MX:
                          type: object
                          properties:
                            actividadVulnerable:
                              type: object
                              properties:
                                mesReportado:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      properties:
                                        eq:
                                          type: string
                                        contains:
                                          type: string
                                        startsWith:
                                          type: string
                                        endsWith:
                                          type: string
                                        in:
                                          type: array
                                          items:
                                            type: string
                                        nin:
                                          type: array
                                          items:
                                            type: string
                                  description: Reported Month
                                ARI:
                                  type: object
                                AVI:
                                  type: object
                                INM:
                                  type: object
                                JYS:
                                  type: object
                                MJR:
                                  type: object
                                MPC:
                                  type: object
                                TSC:
                                  type: object
                                VEH:
                                  type: object
                              description: Actividad Vulnerable
                            cnbv:
                              type: object
                              properties:
                                TRANSMISOR:
                                  type: object
                                  properties:
                                    tipoReporte:
                                      anyOf:
                                        - enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '1'
                                                - '2'
                                                - '3'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '1'
                                                  - '2'
                                                  - '3'
                                                type: string
                                      description: Report Type
                              description: CNBV
                      description: JurisdictionUtils
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - count
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````